import { SdkContext } from "@azure-tools/typespec-client-generator-core";
import { HttpServer } from "@typespec/http";
import { NetEmitterOptions } from "../options.js";
import { InputParameter } from "../type/input-parameter.js";
import { SdkTypeMap } from "../type/sdk-type-map.js";
export interface TypeSpecServer {
    url: string;
    description?: string;
    parameters: InputParameter[];
}
export declare function resolveServers(context: SdkContext<NetEmitterOptions>, servers: HttpServer[], typeMap: SdkTypeMap): TypeSpecServer[];
//# sourceMappingURL=typespec-server.d.ts.map